[Flame][Gallery]Picture has no highlight at once when you select picture at end of picture list.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Gallery
RESOLVED WORKSFORME
4 years ago
3 years ago

People

(Reporter: Sue, Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.1 affected, b2g-v2.2 affected)

Details

Attachments

(5 attachments)

(Reporter)

Description

4 years ago
[1.Description]:
[Flame 2.1& 2.2][Gallery]Picture has no highlight when you select some picture at end of picture list.
Found time:02:30
See attachment:Video_0230.mp4 and logcat_0230.txt

[2.Testing Steps]: 
Precondition:All picture in a same folder(about 50).
1.Launch Gallery.
2.Tap sellect icon.
3.Go to end of list via slide screen.
4.Select picture .

[3.Expected Result]: 
4..Picture can be selected with highlight when you tap it.

[4.Actual Result]: 
4.Picture has no highlight when you select some pictures at end of picture list.

[5.Reproduction build]: 
Flame 2.1 versions:
Gaia-Rev        81160ad79e5b4c21967418dd63f1a1d08d77924e
Gecko-Rev       https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/3572aa3e6766
Build-ID        20141116001201
Version         34.0

Flame 2.2 versions:
Gaia-Rev        1dd8ad8f96988afebc9691e1b818fa37aa32c790
Gecko-Rev       https://hg.mozilla.org/mozilla-central/rev/a52bf59965a0
Build-ID        20141116040209
Version         36.0a1

[6.Reproduction Frequency]: 
Always Recurrence,5/5
(Reporter)

Comment 1

4 years ago
Created attachment 8523744 [details]
logcat
(Reporter)

Comment 2

4 years ago
Created attachment 8523749 [details]
video
(Reporter)

Comment 3

3 years ago
Created attachment 8543720 [details]
logcat_1007.txt

Hi Eric,
This issue can be repro on Flame 2.1/2.2, I have uploaded the logcat of Flame 2.2, could you help with it? Thanks!
Found time:10:07
See attachment: logcat_1007.txt

Flame 2.1 build:
Gaia-Rev        73be51f998031f06db0cd660c0e388fa621c9f4c
Gecko-Rev       https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/05dd053f1d90
Build-ID        20150104001209
Version         34.0
Device-Name     flame
FW-Release      4.4.2
FW-Incremental  eng.cltbld.20150104.034656
FW-Date         Sun Jan  4 03:47:06 EST 2015
Bootloader      L1TC000118D0

Flame 2.2 build:
Gaia-Rev        c2bf20d23851d5fda9f8f0ef0267db5f49152376
Gecko-Rev       https://hg.mozilla.org/mozilla-central/rev/55f3224d7513
Build-ID        20150104010206
Version         37.0a1
Device-Name     flame
FW-Release      4.4.2
FW-Incremental  eng.cltbld.20150104.043402
FW-Date         Sun Jan  4 04:34:12 EST 2015
Bootloader      L1TC000118D0
Flags: needinfo?(echang)
Created attachment 8544677 [details]
2015-01-07-04-29-22.png

ni RD for comment.
Flags: needinfo?(echang)
Hi David, Could you take a look at this, thanks..
Flags: needinfo?(dflanagan)
First of all, it is a regression that the toolbar is overlapping the thumbnails. We used to have a 50px margin at the end of the thumbnail list, so that when you scrolled all the way to the end the bottom of the last thumbnail was above the toolbar.

Selection works fine for me, however, using a somewhat old build from after this bug was originally filed. Does this still reproduce for you?

Russ: wasn't there a similar bug in the Video app a month ago or so? Do you remember the bug number or what the fix was?

Punam: would you file (and fix) a bug for the regression where the bottom thumbnail is overlapped by the toolbar?
Flags: needinfo?(dflanagan) → needinfo?(rnicoletti)

Updated

3 years ago
Flags: needinfo?(pdahiya)
(In reply to David Flanagan [OOO 1/5-1/12] [:djf] from comment #6)
> First of all, it is a regression that the toolbar is overlapping the
> thumbnails. We used to have a 50px margin at the end of the thumbnail list,
> so that when you scrolled all the way to the end the bottom of the last
> thumbnail was above the toolbar.
> 
> Selection works fine for me, however, using a somewhat old build from after
> this bug was originally filed. Does this still reproduce for you?

That's correct, I am not able to replicate this bug in latest master.

> Russ: wasn't there a similar bug in the Video app a month ago or so? Do you
> remember the bug number or what the fix was?
> 
> Punam: would you file (and fix) a bug for the regression where the bottom
> thumbnail is overlapped by the toolbar?

Created bug 1118934 to investigate and fix thumbnail overlap. Thanks
Flags: needinfo?(pdahiya)
I do remember a similar bug filed against the video app. However, I'm unable to find it. In any event, there was a proposed fix that turned out not to be a solution. As I remember, a gecko graphics dev was going to look into it. I will look again for the bug number.
Flags: needinfo?(rnicoletti)
(Reporter)

Comment 9

3 years ago
Created attachment 8564826 [details]
2015-02-16-09-54-45.png

This issue can not be repro on latest build of Flame 2.1/2.2, if anyone can repro it, reopen again.
See attachment:2015-02-16-09-54-45.png

Flame 2.1 build:
Build ID               20150215001204
Gaia Revision          e8eba437af02820f74d122aec83b6001df6f89e3
Gaia Date              2015-02-13 05:26:11
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/9d04f9149ca4
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150215.040742
Firmware Date          Sun Feb 15 04:07:53 EST 2015
Bootloader             L1TC000118D0

Flame 2.2 build:
Build ID               20150215002504
Gaia Revision          ea64caf6d4ab03fc4472eca9f41f20d651d55fa9
Gaia Date              2015-02-13 05:27:43
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/62c80c92b39e
Gecko Version          37.0a2
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150215.040852
Firmware Date          Sun Feb 15 04:09:03 EST 2015
Bootloader             L1TC000118D0
(Reporter)

Updated

3 years ago
Status: NEW → RESOLVED
Last Resolved: 3 years ago
QA Whiteboard: [MGSEI-Triage+]
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.